complexType "CreditEvents"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | restructuring?
</...>

Content Model Elements (1):

  restructuring (in creditEvents)

All Direct / Indirect Based Elements (1):

  creditEvents

Known Usage Locations

- As direct type of elements (1):
  creditEvents

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="CreditEvents"> <xsd:sequence> <!--View Generation: SKIPPED bankruptcy - Standardized--> <!--View Generation: SKIPPED failureToPay - Standardized--> <!--View Generation: SKIPPED failureToPayPrincipal - Standardized--> <!--View Generation: SKIPPED failureToPayInterest - Standardized--> <!--View Generation: SKIPPED obligationDefault - Standardized--> <!--View Generation: SKIPPED obligationAcceleration - Standardized--> <!--View Generation: SKIPPED repudiationMoratorium - Standardized--> <xsd:element minOccurs="0" name="restructuring" type="Restructuring"/> <!--View Generation: SKIPPED distressedRatingsDowngrade - Standardized--> <!--View Generation: SKIPPED maturityExtension - Standardized--> <!--View Generation: SKIPPED writedown - Standardized--> <!--View Generation: SKIPPED impliedWritedown - Standardized--> <!--View Generation: SKIPPED defaultRequirement - Standardized--> <!--View Generation: SKIPPED creditEventNotice - Standardized--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
restructuring

  Type: | Restructuring, complex content

  A credit event. A restructuring is an event that materially impacts the reference entity's obligations, such as an interest rate reduction, principal reduction, deferral of interest or principal, change in priority ranking, or change in currency or composition of payment. ISDA 2003 Term: Restructuring.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="restructuring" type="Restructuring"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.